Skip to content
Last updated

REST API Changelog


v1.7.0 (2026.09.24)

  • Added Staking API v6
  • Staking API v5 has been removed
Staking API v6 compared to v5

Breaking changes:

  • All endpoints moved from /staking/v5/... to /staking/v6/...
  • Removed toAccountNumber from CreateStakingOrder. The paired staking account is now resolved from the trading account, or from productId when no pairing exists.
  • Renamed payoutAccount to payoutAccountNumber on StakingAccount.

Non breaking changes

  • Added premiumAccountsSupported property to Product.
  • Added pairedTradingAccountNumber property to StakingAccount.
  • Clarified descriptions of fromAccountNumber and productId on CreateStakingOrder.

v1.6.0 (2026.08.11)

  • Staking API v5:

    • Removed stakingRewardData endpoint.
    • All Staking v5 endpoints are now deprecated and will be removed in a future version.
    • Added maximumEntryStakingOrderAmount and maximumExitStakingOrderAmount properties to Product.
    • Added payoutAccount property to StakingRewardsStatementAccount.
    • Updated reward description for executionLayerAmount and consensusLayerAmount to clarify Pre-Pectra Ethereum applicability.
  • Loans API v1:

    • Added endpoint to get borrowing report by portfolio.
    • Added endpoint to get lending report by portfolio.
    • Added endpoint to list portfolio numbers.
    • Added currentLtv, smLtv, and hmLtv properties to BorrowLendReport.
  • Custody API v1:

    • Added isProofWallet property to Account.
    • Added AED currency support.
  • Trading API v3:

    • Added isPendingApproval property to ExecutionReport.
    • Added internallyTradeable property to Instrument.
    • Added isActive property to Instrument.
    • Added optional includeInactive query parameter to the instruments endpoint.

v1.5.1 (2025.06.16)

  • Custody API:

    • Added payoutCurrency property to AccountStatementAccount and StakingRewardsStatementAccount.
  • Staking API v5:

    • Added maximumEntryStakingOrderAmount and maximumExitStakingOrderAmount properties to Product.
    • Added payoutAssetSymbol property to RewardDetails.
    • Added isMinimumCommissionApplied property to ExecutionReport.
  • Trading API v3:

    • Added isMinimumCommissionApplied property to Quote.
  • Reporting API:

    • Updated endpoints for AccountOrdersStatement and BalanceStatement to include new response properties.

v1.5.0 (2025.03.24)

  • Added Loans API v1
  • Staking API v5: Non breaking changes
    • New property transactionReference on StakingOrder

v1.4.0 (2024.12.16)

  • Added Staking API v5
  • Staking API v4 is obsolete and will be removed in a future version
  • Reporting API v1: Non breaking changes
    • New property tradeOrderDetails on account order statement
Staking API v5 compared to v4

Breaking changes:

  • Updated response of /staking/v5/stakingAccounts
  • Updated response of /staking/v5/products
  • Staking performance data endpoint requires operating unit:
    • /staking/v4/stakingRewardData
    • /staking/v5/operatingUnits/<operatingUnit>/stakingRewardData

Non breaking changes

  • New endpoint /staking/v5/stakingAccounts/<accountNumber>
  • New optional query params on /staking/v5/stakingAccounts
  • Updated response of /staking/v5/stakingRewards
  • Updated response of /staking/v5/stakingRewards/<id>
  • Updated response of /staking/v5/stakingOrders
  • Updated response of /staking/v5/stakingOrders/<id>

v1.3.0 (2024.09.17)

  • Custody API v1: Non breaking changes
    • New endpoint to get historical portfolio value

v1.2.0 (2024.08.20)

  • Added Reporting API v1
  • Reporting API v0 is obsolete and will be removed in a future version
  • Trading API v3: Non breaking changes
    • New property legs on trade orders (ExecutionReport)
  • Custody API v1: Non breaking changes
    • New endpoints to get account onchain info

v1.1.0 (2024.06.27)

  • Added Custody API v1

v1.0.0 (2023.09.20)

  • Initial release of the Bitcoin Suisse REST API 🎉
    • Customer Management API v1
    • Trading API v3
    • Staking API v4
    • Reporting API v0